Index: XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalargroup_attr.F90
===================================================================
--- XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 1941)
+++ XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 2338)
@@ -13,5 +13,5 @@
   SUBROUTINE xios(set_scalargroup_attr)  &
     ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -27,4 +27,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
@@ -39,5 +40,5 @@
       CALL xios(set_scalargroup_attr_hdl_)   &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalargroup_attr)
@@ -45,5 +46,5 @@
   SUBROUTINE xios(set_scalargroup_attr_hdl)  &
     ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -58,4 +59,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
@@ -68,5 +70,5 @@
       CALL xios(set_scalargroup_attr_hdl_)  &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalargroup_attr_hdl)
@@ -74,5 +76,5 @@
   SUBROUTINE xios(set_scalargroup_attr_hdl_)   &
     ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
-    , mask_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
+    , mask_, n_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -87,4 +89,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_
       LOGICAL (KIND=C_BOOL) :: mask__tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive_
@@ -136,4 +139,9 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        CALL cxios_set_scalargroup_n &
+      (scalargroup_hdl%daddr, n_)
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         CALL cxios_set_scalargroup_name &
@@ -175,5 +183,5 @@
   SUBROUTINE xios(get_scalargroup_attr)  &
     ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -189,4 +197,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
@@ -201,5 +210,5 @@
       CALL xios(get_scalargroup_attr_hdl_)   &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalargroup_attr)
@@ -207,5 +216,5 @@
   SUBROUTINE xios(get_scalargroup_attr_hdl)  &
     ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -220,4 +229,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
@@ -230,5 +240,5 @@
       CALL xios(get_scalargroup_attr_hdl_)  &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalargroup_attr_hdl)
@@ -236,5 +246,5 @@
   SUBROUTINE xios(get_scalargroup_attr_hdl_)   &
     ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
-    , mask_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
+    , mask_, n_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -249,4 +259,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_
       LOGICAL (KIND=C_BOOL) :: mask__tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive_
@@ -298,4 +309,9 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        CALL cxios_get_scalargroup_n &
+      (scalargroup_hdl%daddr, n_)
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         CALL cxios_get_scalargroup_name &
@@ -337,5 +353,5 @@
   SUBROUTINE xios(is_defined_scalargroup_attr)  &
     ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -358,4 +374,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask
       LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n
+      LOGICAL(KIND=C_BOOL) :: n_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
@@ -377,5 +395,5 @@
       CALL xios(is_defined_scalargroup_attr_hdl_)   &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr)
@@ -383,5 +401,5 @@
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl)  &
     ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -403,4 +421,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask
       LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n
+      LOGICAL(KIND=C_BOOL) :: n_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
@@ -420,5 +440,5 @@
       CALL xios(is_defined_scalargroup_attr_hdl_)  &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr_hdl)
@@ -426,5 +446,5 @@
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl_)   &
     ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
-    , mask_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
+    , mask_, n_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -446,4 +466,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_
       LOGICAL(KIND=C_BOOL) :: mask__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n_
+      LOGICAL(KIND=C_BOOL) :: n__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
@@ -509,4 +531,10 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        n__tmp = cxios_is_defined_scalargroup_n &
+      (scalargroup_hdl%daddr)
+        n_ = n__tmp
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         name__tmp = cxios_is_defined_scalargroup_name &
